<!-- // Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers -->
<!-- // See the COPYRIGHT file at the top-level directory of this distribution -->

<!-- // Abelujo is free software: you can redistribute it and/or modify -->
<!-- // it under the terms of the GNU Affero General Public License as published by -->
<!-- // the Free Software Foundation, either version 3 of the License, or -->
<!-- // (at your option) any later version. -->

<!-- // Abelujo is distributed in the hope that it will be useful, -->
<!-- // but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!-- // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!-- // GNU Affero General Public License for more details. -->

<!-- // You should have received a copy of the GNU Affero General Public License -->
<!-- // along with Abelujo.  If not, see <http://www.gnu.org/licenses/>. -->
{% extends "base.html" %}

{% block auto_command_nb %} {{ auto_command_nb }} {% endblock %}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}

<div>
  <div class="row">
    <h2>
      {% trans "Cards never sold." %}
    </h2>
    <div>
      <span>
        {% trans "Total" %}: {{ total }}
      </span>
    </div>

    <nav aria-label="Page navigation example" hx-boost="true">
      <ul class="pagination">
        {% if page == 1 %}
        <li class="page-item disabled"><a class="page-link" href="{% url 'cards_unsold' %}?page={{ page | add:'-1' }}"> {% trans "Previous" %} </a></li>
        {% else %}
        <li class="page-item"><a class="page-link" href="{% url 'cards_unsold' %}?page={{ page | add:'-1' }}"> {% trans "Previous" %} </a></li>
        {% endif %}

        <li class="page-item"><a class="page-link" href="{% url 'cards_unsold' %}">1</a></li>
        <li class="page-item"><a class="page-link" href="{% url 'cards_unsold' %}?page=2">2</a></li>
        <li class="page-item"><a class="page-link" href="{% url 'cards_unsold' %}?page=3">3</a></li>
        <li class="page-item"><a class="page-link" href="{% url 'cards_unsold' %}?page=4">4</a></li>
        <li class="page-item"><a class="page-link" href="{% url 'cards_unsold' %}?page=5">5</a></li>

        {% if page = 6 %}
        <li class="page-item active"><a class="page-link" href="#"> 6 </a></li>
        {% endif %}

        {% if page > 6 %}
        <li class="page-item"><a class="page-link" href="#"> … </a></li>
        <li class="page-item active"><a class="page-link" href="#"> {{ page }} </a></li>
        {% endif %}

        {% if paginator.num_pages > 6 %}

        {% if page < before_last_page %}
        <li class="page-item"><a class="page-link" href="#">…</a></li>
        {% endif %}

        <li class="page-item"><a class="page-link" href="{% url 'cards_unsold' %}?page={{ paginator.num_pages }}"> {{ paginator.num_pages }} </a></li>
        {% endif %}

        {% if page == paginator.num_pages %}
        <li class="page-item disabled"><a class="page-link" href="{% url 'cards_unsold' %}?page={{ page | add:'1' }}"> {% trans "Next" %} </a></li>
        {% else %}
        <li class="page-item"><a class="page-link" href="{% url 'cards_unsold' %}?page={{ page | add:'1' }}"> {% trans "Next" %} </a></li>
        {% endif %}
      </ul>
    </nav>

    <table class="table table-condensed table-striped">
      <thead>
        <th></th>
        <th>
          {% trans "Title" %}
        </th>
        <th>
          {% trans "Created" %}
        </th>
        <th>
          {% trans "Distributor" %}
        </th>
        <th>
          {% trans "Quantity" %}
        </th>
      </thead>
      <tbody>
        {% for card in cards %}
        <tr>
          <td>
            <!-- <img src="{{ card.cover }}" style="max-width: 200px"/> -->
          </td>
          <td>
            <a href="{{ card.get_absolute_url }}">
              {{ card.title }}
            </a>
          </td>
          <td>
            {{ card.created }}
          </td>
          <td>
            {% if card.distributor %}
            {{ card.distributor }}
            {% endif %}

          </td>
          <td>
            {{ card.quantity }}
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>


  </div>
</div>

{% endblock content %}
